import { Instance, Props } from "tippy.js";
import { Editor } from "@tiptap/core";
import { EditorView } from "@tiptap/pm/view";
interface TippyInitOptions {
    editor: Editor;
    validate?: (url: string) => boolean;
    view: EditorView;
}
declare class Tooltip {
    private tippyInstance?;
    private preventHide;
    private tippyWrapper;
    private editor;
    private view;
    constructor(options: TippyInitOptions);
    init(): {
        tippyModal: HTMLDivElement;
        tippyInstance: Instance<Props> | undefined;
    };
    show(): boolean;
    hide(): boolean;
    private mousedownHandler;
    private dragstartHandler;
    private blurHandler;
    private tippyBlurHandler;
    private createTooltip;
    update(view: EditorView, option?: any): {};
    destroyTooltip(): void;
}
export default Tooltip;
